[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[libvirt] ANNOUNCE: ruby-libvirt 0.4.0



All,
     I'm pleased to announce the release of ruby-libvirt 0.4.0.  ruby-libvirt
is a ruby wrapper around the libvirt API.  Version 0.4.0 brings new APIs, more
documentation, and bugfixes:

  * Updated Domain class, implementing dom.memory_parameters=,
    dom.memory_parameters, dom.updated?, dom.migrate2, dom.migrate_to_uri2,
    dom.migrate_set_max_speed, dom.qemu_monitor_command, dom.blkio_parameters,
    dom.blkio_parameters=, dom.state, dom.open_console, dom.screenshot, and
    dom.inject_nmi
  * Implementation of the Stream class, which covers the libvirt virStream APIs
  * Add the ability to build against non-system libvirt libraries
  * Updated Error object, which now includes the libvirt code, component and
    level of the error, as well as all of the error constants from libvirt.h
  * Updated Connect class, implementing conn.sys_info, conn.stream,
    conn.interface_change_begin, conn.interface_change_commit, and
    conn.interface_change_rollback
  * Updated StorageVol class, implementing vol.download and vol.upload
  * Various bugfixes

Version 0.4.0 is available from http://libvirt.org/ruby:

Tarball: http://libvirt.org/ruby/download/ruby-libvirt-0.4.0.tgz
Gem: http://libvirt.org/ruby/download/ruby-libvirt-0.4.0.gem

It is also available from rubygems.org; to get the latest version, run:

$ gem install ruby-libvirt

As usual, if you run into questions, problems, or bugs, please feel free to
mail me (clalance redhat com) and/or the libvirt mailing list.

-- 
Chris Lalancette


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]